import { AMQPBaseClient } from './amqp-base-client.js';
interface AMQPWebSocketInit {
    url: string;
    vhost?: string;
    username?: string;
    password?: string;
    name?: string;
    frameMax?: number;
    heartbeat?: number;
}
/**
 * WebSocket client for AMQP 0-9-1 servers
 */
export declare class AMQPWebSocketClient extends AMQPBaseClient {
    readonly url: string;
    private socket?;
    private framePos;
    private frameSize;
    private frameBuffer;
    /**
     * @param url to the websocket endpoint, example: wss://server/ws/amqp
     */
    constructor(url: string, vhost?: string, username?: string, password?: string, name?: string, frameMax?: number, heartbeat?: number);
    constructor(init: AMQPWebSocketInit);
    /**
     * Establish a AMQP connection over WebSocket
     */
    connect(): Promise<AMQPBaseClient>;
    /**
     * @param bytes to send
     * @return fulfilled when the data is enqueued
     */
    send(bytes: Uint8Array): Promise<void>;
    protected closeSocket(): void;
    private handleMessage;
    static platform(): string;
}
export {};
//# sourceMappingURL=amqp-websocket-client.d.ts.map